org.apache.lucene.analysis.id

## Class IndonesianStemmer

- java.lang.Object
- - org.apache.lucene.analysis.id.IndonesianStemmer

    public class IndonesianStemmer
    extends Object

Stemmer for Indonesian.

Stems Indonesian words with the algorithm presented in: A Study of Stemming Effects on Information Retrieval in Bahasa Indonesia, Fadillah Z Tala. http://www.illc.uva.nl/Publications/ResearchReports/MoL-2003-02.text.pdf

### Constructor Summary

Constructors
Constructor and Description
`IndonesianStemmer()`

### Method Summary

Methods
`int` `stem(char[] text, int length, boolean stemDerivational)` Stem a term (returning its new length).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IndonesianStemmer

    public IndonesianStemmer()

### Method Detail

#### stem

    public int stem(char[] text,
           int length,
           boolean stemDerivational)

Stem a term (returning its new length).

Use `stemDerivational` to control whether full stemming or only light inflectional stemming is done.